/*
 *			i s x d i g . c
 */

/*)LIBRARY
*/

#ifdef	DOCUMENTATION

title	isxdigit Test for Hexadecimal Character
index		Test for hexadecimal character

synopsis
	.s.nf
	int
	isxdigit(c)
	int		c;
	.s.f
Description

	Return non-zero if c is a hexadecimal digit, zero otherwise.

Bugs

	The value is defined only if isascii(c) is TRUE.

#endif

#include	<ctype.h>
#ifdef	isxdigit
#undef	isxdigit
#endif

int
isxdigit(c)
int		c;
{
	return (_ctype_[c & 0177] & _X);
}
